SUMMARY: MODULE | CLASS | TYPE | PROC | VAR | CONST | DETAIL: TYPE | PROC | VAR | CONST

# URI:Scheme:Opaque

### Import List

        Exception
        Exception
        Object
        Object
        RT0
        TextRider
        URI

Class List
Generic | This class implements the generic opaque URI.

Class Summary: Generic [Detail]
      +---RT0.Object
           |
           +---Object.Object
                |
                +---URI.URI
                     |
                     +---URI.OpaqueURI
                          |
                          +--URI:Scheme:Opaque.Generic
This class implements the generic opaque URI.
Field Summary
opaque-: STRING
Inherited Fields
From URI.URI: schemeId
Constructor Summary
Init(Generic, STRING, STRING)
New(STRING, STRING): Generic
Method Summary
Clone(): Generic Creates a deep copy of the URI referenced by uri.
Copy(URI) Copies contents of source uri to target dest.
ParseOpaquePart(CharsLatin1, Offset) Parses the opaque component str of an URI.
ToString(): String8 Converts the URI uri to its string representation.
WriteXML(Writer) Writes an XML fragment describing the URI uri to the writer w.
Inherited Methods
From RT0.Object: Finalize From Object.Object: Equals, HashCode From URI.URI: AppendScheme, Clone, Copy, GetChannel, MakeRelative, SetSchemeId, ToString, WriteXML From URI.OpaqueURI: ParseOpaquePart

Class Detail: Generic

Field Detail

### opaque

    FIELD opaque-: STRING

Constructor Detail

### Init

    PROCEDURE Init(uri: Generic;
                   schemeId: STRING;
                   opaque: STRING)

### New

    PROCEDURE New(schemeId: STRING;
                  opaque: STRING): Generic

Method Detail

### Clone

    PROCEDURE (uri: Generic) Clone(): Generic

> Creates a deep copy of the URI referenced by uri. That is, it creates a new instance of uri and calls URI.Copy on it.

> [Description inherited from Clone]

> Redefines: Clone, Clone

### Copy

    PROCEDURE (uri: Generic) Copy(dest: URI)

> Copies contents of source uri to target dest.

> Pre-condition: The dynamic type of dest is an extension of the dynamic type of uri.

> [Description inherited from Copy]

> Redefines: Copy, Copy

### ParseOpaquePart

    PROCEDURE (uri: Generic) ParseOpaquePart(str: CharsLatin1;
                              offset: Offset)
      RAISES ParseError;

> Parses the opaque component str of an URI. On success, the data is stored in the URI uri and the result is NIL. In case of error, e.g., because str contains characters that are not allowed in an URI, an error message is returned and uri is not modified. A character position in an error message refers to an index in str, incremented by the value of offset.

> [Description inherited from ParseOpaquePart]

> Redefines: ParseOpaquePart

### ToString

    PROCEDURE (uri: Generic) ToString(): String8

> Converts the URI uri to its string representation. Reserved characters in the URI and characters that may not appear in a valid URI are escaped where necessary.

> [Description inherited from ToString]

> Redefines: ToString, ToString, ToString

### WriteXML

    PROCEDURE (uri: Generic) WriteXML(w: Writer)

> Writes an XML fragment describing the URI uri to the writer w.

> [Description inherited from WriteXML]

> Redefines: WriteXML, WriteXML